## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python3-docs
Summary:        Documentation for the Python 3 programming language

# The Version should be in-sync with the python3 package:
%global         pybasever 3.13
%global         general_version %{pybasever}.5
#global         prerel ...
%global         upstream_version %{general_version}%{?prerel}
Version:        %{general_version}%{?prerel:~%{prerel}}
Release:        %autorelease
# The documentation is licensed as Python itself: Python-2.0.1
# Examples, recipes, and other code in the documentation are dual licensed under Python-2.0.1/0BSD
License:        Python-2.0.1 AND (Python-2.0.1 OR 0BSD)
URL:            https://www.python.org/
Source0:        %{url}ftp/python/%{general_version}/Python-%{upstream_version}.tar.xz
Source1:        %{url}ftp/python/%{general_version}/Python-%{upstream_version}.tar.xz.asc
# The release manager for Python 3.13 is Thomas Wouters
Source2: https://github.com/Yhg1s.gpg

BuildArch:      noarch

Recommends:     python3 = %{version}
%{?python_provide:%python_provide %{name}}

BuildRequires: make
BuildRequires:  %{__python3}
BuildRequires:  python3-docs-theme >= 2022.1
BuildRequires:  python3-sphinx >= 1:8.2.0
BuildRequires:  python3-docutils
BuildRequires:  python3-pygments
BuildRequires:  gnupg2

%bcond_without linkchecker
%if %{with linkchecker}
BuildRequires:  linkchecker
%endif


%description
The python3-docs package contains documentation on the Python 3
programming language and interpreter.

%prep
%gpgverify -k2 -s1 -d0
%autosetup -p1 -n Python-%{upstream_version}

%build
make -C Doc html PYTHON=%{__python3}
rm Doc/build/html/.buildinfo

%install
mkdir -p %{buildroot}

%check
# Verify that all of the local links work (see rhbz#670493 - doesn't apply
# to python3-docs, but only to older python-docs)
#
# (we can't check network links, as we shouldn't be making network connections
# within a build.  Also, don't bother checking the .txt source files; some
# contain example URLs, which don't work)
%if %{with linkchecker}
linkchecker \
  --ignore-url=^mailto: --ignore-url=^http --ignore-url=^ftp \
  --ignore-url=.txt\$ --no-warnings \
  Doc/build/html/index.html
%endif

%files
%doc Misc/NEWS Misc/HISTORY Misc/README Doc/build/html

%changelog
## START: Generated by rpmautospec
* Thu Jun 12 2025 Miro Hrončok <miro@hroncok.cz> - 3.13.5-1
- Update to 3.13.5

* Thu Jun 05 2025 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.13.4-1
- Update to 3.13.4

* Wed Apr 09 2025 Miro Hrončok <miro@hroncok.cz> - 3.13.3-1
- Update to 3.13.3

* Thu Feb 06 2025 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.13.2-1
- Update to 3.13.2

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 03 2024 Charalampos Stratakis <cstratak@redhat.com> - 3.13.1-1
- Update to Python 3.13.1

* Tue Oct 08 2024 Karolina Surma <ksurma@redhat.com> - 3.13.0-1
- Update to Python 3.13.0

* Tue Oct 01 2024 Miro Hrončok <miro@hroncok.cz> - 3.13.0~rc3-1
- Update to 3.13.0rc3

* Sat Sep 07 2024 Karolina Surma <ksurma@redhat.com> - 3.13.0~rc2-1
- Update to Python 3.13.0rc2

* Thu Aug 01 2024 Karolina Surma <ksurma@redhat.com> - 3.13.0~rc1-1
- Update to Python 3.13.0rc1

* Mon Jul 22 2024 Miro Hrončok <miro@hroncok.cz> - 3.13.0~b4-1
- Update to Python 3.13.0b4

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.13.0~b2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 3.13.0~b2-2
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Miro Hrončok <miro@hroncok.cz> - 3.13.0~b2-1
- Update to Python 3.13

* Thu Apr 11 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.12.3-1
- Update to 3.12.3

* Thu Feb 08 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.12.2-1
- Update to 3.12.2

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 08 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.12.1-1
- Update to 3.12.1

* Mon Oct 02 2023 Miro Hrončok <mhroncok@redhat.com> - 3.12.0-1
- Update to 3.12.0 final

* Tue Sep 19 2023 Miro Hrončok <mhroncok@redhat.com> - 3.12.0~rc3-1
- Update to 3.12.0rc3

* Wed Sep 06 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.12.0~rc2-1
- Update to 3.12.0rc2

* Wed Aug 09 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.12.0~rc1-1
- Update to 3.12.0rc1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.0~b4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Miro Hrončok <mhroncok@redhat.com> - 3.12.0~b4-1
- Update to 3.12.0b4

* Mon Jun 19 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.12.0~b3-1
- Update to 3.12.0b3

* Mon Jun 19 2023 Python Maint <python-maint@redhat.com> - 3.11.4-2
- Rebuilt for Python 3.12

* Wed Jun 07 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.11.4-1
- Update to 3.11.4

* Wed Apr 05 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.11.3-1
- Update to 3.11.3

* Mon Feb 13 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.11.2-1
- Update to 3.11.2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 07 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.11.1-1
- Update to 3.11.1

* Mon Oct 24 2022 Miro Hrončok <mhroncok@redhat.com> - 3.11.0-1
- Update to 3.11.0

* Tue Sep 13 2022 Miro Hrončok <mhroncok@redhat.com> - 3.11.0~rc2-1
- Update to 3.11.0rc2

* Mon Aug 08 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.11.0~rc1-1
- Update to 3.11.0rc1

* Tue Jul 26 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.11.0~b5-1
- Update to 3.11.0b5

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.0~b4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 12 2022 Miro Hrončok <mhroncok@redhat.com> - 3.11.0~b4-1
- Update to 3.11.0b4

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 3.11.0~b3-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.11.0~b3-1
- Update to 3.11.0b3

* Tue Jun 07 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.10.5-1
- Update to 3.10.5

* Fri Mar 25 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.10.4-1
- Update to 3.10.4

* Fri Mar 18 2022 Miro Hrončok <mhroncok@redhat.com> - 3.10.3-1
- Update to 3.10.3

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Miro Hrončok <mhroncok@redhat.com> - 3.10.2-1
- Update to 3.10.2

* Tue Dec 07 2021 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.10.1-1
- Update to 3.10.1

* Mon Oct 04 2021 Miro Hrončok <mhroncok@redhat.com> - 3.10.0-1
- Update to 3.10.0 final

* Thu Sep 09 2021 Tomas Hrnciar <thrnciar@redhat.com> - 3.10.0~rc2-1
- Update to 3.10.0rc2

* Wed Aug 04 2021 Tomas Hrnciar <thrnciar@redhat.com> - 3.10.0~rc1-1
- Update to 3.10.0rc1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.0~b4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 11 2021 Miro Hrončok <mhroncok@redhat.com> - 3.10.0~b4-1
- Update to 3.10.0b4

* Tue Jun 22 2021 Miro Hrončok <mhroncok@redhat.com> - 3.10.0~b3-1
- Update to 3.10.0b3

* Tue Jun 01 2021 Tomas Hrnciar <thrnciar@redhat.com> - 3.10.0~b2-1
- Update to 3.10.0b2

* Wed May 05 2021 Tomas Hrnciar <thrnciar@redhat.com> - 3.9.5-1
- Update to 3.9.5

* Tue Apr 06 2021 Tomas Hrnciar <thrnciar@redhat.com> - 3.9.4-1
- Update to 3.9.4

* Mon Mar 08 2021 Lumír Balhar <lbalhar@redhat.com> - 3.9.2-2
- Unbundle python-docs-theme

* Mon Mar 08 2021 Lumír Balhar <lbalhar@redhat.com> - 3.9.2-1
- Update to 3.9.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 08 2020 Tomas Hrnciar <thrnciar@redhat.com> - 3.9.1-1
- Update to 3.9.1 final

* Tue Oct 06 2020 Miro Hrončok <mhroncok@redhat.com> - 3.9.0-1
- Update to 3.9.0 final

* Thu Sep 17 2020 Miro Hrončok <mhroncok@redhat.com> - 3.9.0~rc2-1
- Update to 3.9.0rc2

* Thu Aug 13 2020 Miro Hrončok <mhroncok@redhat.com> - 3.9.0~rc1-1
- Update to 3.9.0rc1

* Tue Jul 21 2020 Miro Hrončok <mhroncok@redhat.com> - 3.9.0~b5-1
- Update to 3.9.0b5

* Mon May 25 2020 Miro Hrončok <mhroncok@redhat.com> - 3.9.0~b1-1
- Update to 3.9.0b1

* Wed Mar 25 2020 Tomas Hrnciar <thrnciar@redhat.com> - 3.8.2-1
- Update to 3.8.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Oct 29 2019 Miro Hrončok <mhroncok@redhat.com> - 3.8.0-1
- Update to 3.8.0

* Fri Oct 04 2019 Miro Hrončok <mhroncok@redhat.com> - 3.8.0~rc1-1
- Update to 3.8.0rc1

* Thu Sep 05 2019 Miro Hrončok <mhroncok@redhat.com> - 3.8.0~b4-1
- Update to 3.8.0b4

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 09 2019 Miro Hrončok <mhroncok@redhat.com> - 3.7.4-1
- Update to 3.7.4

* Thu Apr 25 2019 Miro Hrončok <mhroncok@redhat.com> - 3.7.3-1
- Update to 3.7.3

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Dec 25 2018 Miro Hrončok <mhroncok@redhat.com> - 3.7.2-1
- Update to 3.7.2

* Thu Dec 06 2018 Miro Hrončok <mhroncok@redhat.com> - 3.7.1-1
- Update to 3.7.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 20 2018 Miro Hrončok <mhroncok@redhat.com> - 3.7.0-0.1.rc1
- Update to 3.7.0rc1

* Thu Apr 19 2018 Miro Hrončok <mhroncok@redhat.com> - 3.6.5-2
- Only recommend the python3 package

* Thu Apr 05 2018 Charalampos Stratakis <cstratak@redhat.com> - 3.6.5-1
- Update to 3.6.5

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Charalampos Stratakis <cstratak@redhat.com> - 3.6.4-1
- Update to version 3.6.4

* Mon Oct 09 2017 Charalampos Stratakis <cstratak@redhat.com> - 3.6.3-1
- Update to version 3.6.3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Charalampos Stratakis <cstratak@redhat.com> - 3.6.2-1
- Update to version 3.6.2

* Wed Mar 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 3.6.1-1
- Update to version 3.6.1 final

* Fri Mar 17 2017 Iryna Shcherbina <ishcherb@redhat.com> - 3.6.1-0.1.rc1
- Update to 3.6.1 release candidate 1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 02 2017 Charalampos Stratakis <cstratak@redhat.com> - 3.6.0-1
- Update to current version

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.5.2-2
- Rebuild for Python 3.6

* Mon Aug 22 2016 Tomas Orsava <torsava@redhat.com> - 3.5.2-1
- Update to current version
- Removed use-classic-theme.patch as it was no longer necessary

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Robert Kuska <rkuska@redhat.com> - 3.5.1-1
- Update to current version

* Mon Nov 16 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.5.0-1
- Update to current version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 15 2015 Matej Stuchlik <mstuchli@redhat.com> - 3.4.3-1
- Rebuild for Python 3.4.3

* Tue Nov 18 2014 Matej Stuchlik <mstuchli@redhat.com> - 3.4.2-1
- Rebuilt for Python 3.4.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 3.4.1-1
- Rebuilt for Python 3.4.1

* Mon Sep 16 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 3.3.2-2
- Patch docs build to use locally installed python3-sphinx.

* Wed Sep 04 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 3.3.2-1
- Initial package, spec adapted from python-docs.

## END: Generated by rpmautospec
